# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("pw-free-online.exe")[0]
    install_exe_if_needed(bin_name, silentflags="/allusers /VERYSILENT",
    key = "{05D996FA-ADCB-4D23-BA3C-A7C184A8FAC6}_is1",
    min_version=control.get_software_version())


def uninstall() : 
    # Uninstalling the software
    for to_uninstall in installed_softwares("ShadowMaker"):
        print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
        killalltasks(ensure_list(control.impacted_process))
        run(uninstall_cmd(to_uninstall["key"]))
        wait_uninstallkey_absent(to_uninstall["key"])
        if isdir(to_uninstall["install_location"]):
            remove_tree(to_uninstall["install_location"])
        if isdir(makepath(programfiles, "MiniTool Partition Wizard 12")):
            remove_tree(makepath(programfiles, "MiniTool Partition Wizard 12"))